// Core functionality
export {
  shouldBlockCrawler,
  extractUserAgent,
  mergeConfig,
  DEFAULT_CONFIG,
} from './core.js';

// Crawler patterns and detection
export {
  AI_CRAWLER_PATTERNS,
  SEO_CRAWLER_PATTERNS,
  matchesPatterns,
  detectCrawlerType,
} from './crawlers.js';

// Types
export type {
  CrawlerConfig,
  CrawlerDetectionResult,
} from './types.js';

// Default export for convenience
export { shouldBlockCrawler as default } from './core.js'; 